Show / Hide Table of Contents

# Struct SDL.SDL_MessageBoxData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_MessageBoxData

### Fields

| Improve this Doc View Source

#### buttons

##### Declaration

    public SDL.SDL_MessageBoxButtonData[] buttons

##### Field Value

Type | Description
--- | ---
SDL.SDL_MessageBoxButtonData[] |

| Improve this Doc View Source

#### colorScheme

##### Declaration

    public SDL.SDL_MessageBoxColorScheme? colorScheme

##### Field Value

Type | Description
--- | ---
System.Nullable<SDL.SDL_MessageBoxColorScheme> |

| Improve this Doc View Source

#### flags

##### Declaration

    public SDL.SDL_MessageBoxFlags flags

##### Field Value

Type | Description
--- | ---
SDL.SDL_MessageBoxFlags |

| Improve this Doc View Source

#### message

##### Declaration

    public string message

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### numbuttons

##### Declaration

    public int numbuttons

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### title

##### Declaration

    public string title

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### window

##### Declaration

    public IntPtr window

##### Field Value

Type | Description
--- | ---
System.IntPtr |